## class: `WyPreviewIcon`, `wy-preview-icon`

Fallback preview display used when no inline preview is available.
Displays an icon and an optional link to open the source.

**Used sub components:**

*   [`<wy-icon-display>`](./ui/wy-icon)
*   [`<wy-icon>`](./ui/wy-icon)
*   [`<wy-button>`](./ui/wy-button)

### Fields

| Name       | Type                            | Default | Description                                        | Inherited From |
| ---------- | ------------------------------- | ------- | -------------------------------------------------- | -------------- |
| `src`      | `string`                        |         | Source URL used when opening the original content. |                |
| `icon`     | `iconNamesType`                 |         | Icon name representing the preview.                |                |
| `provider` | `FileProviderType \| undefined` |         | File provider metadata that decorates the preview. |                |

### Events

| Name                  | Type                         | Description                            | Inherited From |
| --------------------- | ---------------------------- | -------------------------------------- | -------------- |
| `file-preview-loaded` | `FilePreviewLoadedEventType` | The file preview is considered loaded. |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `src`      | src      |                |
| `icon`     | icon     |                |
| `provider` | provider |                |

<details><summary>Private API</summary>

### Methods

| Name             | Privacy   | Description                                                          | Parameters | Return    | Inherited From |
| ---------------- | --------- | -------------------------------------------------------------------- | ---------- | --------- | -------------- |
| `dispatchLoaded` | protected | Dispatch \`file-preview-loaded\` when the fallback content is ready. |            | `boolean` |                |

</details>

<hr/>

## Exports

| Kind                        | Name              | Declaration   | Module                            | Package |
| --------------------------- | ----------------- | ------------- | --------------------------------- | ------- |
| `js`                        | `WyPreviewIcon`   | WyPreviewIcon | lib/components/wy-preview-icon.ts |         |
| `custom-element-definition` | `wy-preview-icon` | WyPreviewIcon | lib/components/wy-preview-icon.ts |         |
